Delete Geography by ID - Fabric
Delete Geography by ID
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/location-geographies/{geographyId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/location-geographies/{geographyId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/location-geographies/{geographyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
200
400
401
404
500
Example Responses
{
"version": 2,
"geographyName": "US_Geo_PostalCode",
"type": "PostalCode",
"geographyId": "9372919a8219e8",
"description": "Specific geography for US Zones",
"values": [
"<string>"
],
"associatedZone": "US_Zone",
"linkedNetworks": [
"<string>"
],
"createdAt": "2022-07-11T15:03:14.642Z",
"updatedAt": "2022-07-11T15:03:14.642Z",
"resourceId": "<string>",
"subResourceId": "<string>"
}
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}
{
"message": "Geography with geographyId 9372919a8219e8 not found"
}
{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
- x-fabric-tenant-id:
- Type: string
- Required: Yes
- Description: A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id, which is also called account id, from Copilot. This header is required.
Path Parameters
- geographyId:
- Type: string
- Required: Yes
- Description: System-generated unique ID to identify the geography.
Response
Response Schema
- version: integer
(required) - geographyName: string (required)
- type: string (required)
- geographyId: string (required)
- description: string
- values: string[]
- associatedZone: string
- linkedNetworks: string[]
- createdAt: string
- updatedAt: string
- resourceId: string
- subResourceId: string